Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 14-09-2016 05:42:14

Chrgzz
Membre
Lieu : Victoriaville , Québec
Distrib. : Handy Linux 2.5 AMD 64
Inscription : 24-08-2016

Adobe Flash Player 23 (64 bit)

Je viens de téléch. Flash Player 23 .
Que faire pour l'installer ? (débutant Linux)

Hors ligne

#2 14-09-2016 06:56:26

Trefix
Adhérent(e)
Lieu : 48
Distrib. : Jessie H2D / DFLlight-alpha
Noyau : Linux 3.16.0-4 / 686-pae / amd64
(G)UI : Xfce / Fluxbox
Inscription : 15-02-2015

Re : Adobe Flash Player 23 (64 bit)

Bonjour et bienvenue.
Que faire ? Oublier les réflexes de W$ et l'idée de "télécharger" pour regarder comment on charge des paquets deouis les sources Debian wink
Lien wiki à venir (téléphone pas smart)...

Ma scolarité informatique ? 3 TP de programmation en DOS, calcu. T.I., 1984 tongue
De HL à DF : facile ! // Les cahiers du débutant

Hors ligne

#3 14-09-2016 07:32:01

kawer
Adhérent(e)
Lieu : Académie de la Croix-Vraie
Distrib. : Debian stable / ArchLinux
Noyau : Current
(G)UI : xfwm4
Inscription : 08-10-2013
Site Web

Re : Adobe Flash Player 23 (64 bit)

il existe le plugin pepper-flashplugin qui te permet d'avoir une version de flashplayer plus à jours regarde sur le wiki http://debian-facile.org/doc:media:flash?s=flash

Dernière modification par kawer (14-09-2016 07:33:44)


Rendez à César ce qui est à César et à Dieu ce qui est à Dieu -Cit. J.C.
La persévérance, c'est ce qui rend l'impossible possible, le possible probable et le probable réalisé. -Cit. Robert Half.
Dans toutes les situations, le piège c'était avant, car tu ne voyais pas les murs -Cit. Crevette

Hors ligne

#4 14-09-2016 08:54:21

Caribou22
Membre
Distrib. : Debian Stable (Merci Handy Linux <3 )
Noyau : 3.16
(G)UI : XFCE principalement
Inscription : 10-11-2014

Re : Adobe Flash Player 23 (64 bit)

Salut ! smile
Ou l'as-tu téléchargé ? Et pour quel navigateur web veux-tu l'installer ? Est-ce que la version 11 ne te serait pas suffisante ? (C'est la dernière qu'Adobe a fourni à Linux, mais la 23 semble dans les tuyaux aussi.)

Bref, tu es débutant Linux (Je l'étais aussi il y a 3 ans.), mais nous ne sommes pas experts en boule de cristal. Apporte nous plus de détails pour que l'on puisse t'aider au mieux wink

Hors ligne

#5 14-09-2016 16:35:37

Chrgzz
Membre
Lieu : Victoriaville , Québec
Distrib. : Handy Linux 2.5 AMD 64
Inscription : 24-08-2016

Re : Adobe Flash Player 23 (64 bit)

J'ai pris adobe flash ici " http://labs.adobe.com/downloads/flashplayer.html " Pour le moment je navigue avec firefox ne sachant comment installer opera ou autre chose. L'installateur de paquet  "gdebi-gtk " m'envoie le message suivant : "Vous ne pouvez utiliser qu'un seul gestionnaire de logiciels à la fois " lorsque je veux installer opera "/home/serge/Téléchargements/opera-stable_39.0.2256.71_amd64.deb "

Ouffff  ....  !  Je vais avoir de la lecture à faire et bien alimenter mes tites cellules de compréhension, lol . Une chance, retraité j'ai du temps.

Hors ligne

#6 14-09-2016 16:43:43

Caribou22
Membre
Distrib. : Debian Stable (Merci Handy Linux <3 )
Noyau : 3.16
(G)UI : XFCE principalement
Inscription : 10-11-2014

Re : Adobe Flash Player 23 (64 bit)

Commence par essayer la version de Flash des dépôts Debian (plus fiable) pour voir si elle te convient.
Pour la télécharger et l'installer, tu vas utiliser Synaptic : https://debian-facile.org/doc:systeme:a … -un-paquet
Depuis Synaptic, il faudra que tu installe le paquet flashplugin-nonfree

Chrgzz a écrit :

Ouffff  ....  !  Je vais avoir de la lecture à faire et bien alimenter mes tites cellules de compréhension, lol . Une chance, retraité j'ai du temps.



Si tu veux une documentation condensée pour débutant, et qui t'explique tout Debian smile https://lescahiersdudebutant.fr

Dernière modification par Caribou22 (14-09-2016 16:46:55)

Hors ligne

#7 14-09-2016 16:51:11

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

Bonjour smile

L'installateur de paquet  "gdebi-gtk " m'envoie le message suivant : "Vous ne pouvez utiliser qu'un seul gestionnaire de logiciels à la fois "


Tu ne peux pas utiliser en même temps plusieurs gestionnaires de paquets. Si tu avais Synaptic ouvert, par exemple, il faut le fermer puis installer le paquet avec gdebi en faisant un clic droit sur le paquet .deb pour l'ouvrir avec gdebi.


Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#8 14-09-2016 17:01:15

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

Pour le coup, la version flash présente dans les dépôts est obsolète.

Une solution rapide:
* tu télécharges la version de flash qui correspond à ton système http://labs.adobe.com/downloads/flashplayer.html
* tu vas dans Menu > Aide (?) > Information de Dépannage >  Répertoire de profil > Ouvrir le dossier correspondant
* tu crée un dossier "plugins" s'il n'existe pas
* tu copies le fichier "libflashplayer.so" dans le dossier 'plugins'
* tu actives Flash (deouis l'URL: "about:addons")
* tu vérifies le fonctionnement sur https://www.adobe.com/fr/software/flash/about/

et voilà cool

Hors ligne

#9 14-09-2016 17:11:21

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

Tu conseilles, si on utilise le plugin flash 11.2.202.635 dans Firefox actuellement, de mettre à jour vers la beta 23 même si c'est une beta ?
Pour mettre le plugin des dépôts à jour, on fait

sudo update-flashplugin-nonfree --install


Est-ce que cette commande fonctionnera aussi pour les mises à jour de la version beta ?

Dernière modification par chalu (14-09-2016 17:12:25)


Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#10 14-09-2016 17:22:37

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

Le cas de Flash Player est compliqué et pose beaucoup de pb sur Debian.
En fait, le paquet flashplugin-nonfree est un script qui va télécharger la dernière version.
C'est pour ça que apt-get upgrade ne fait rien avec Flash.

Mes recommandations pour Flash:
1) ne pas l'installer
2) installer la dernière version
3) installer windows pour utiliser Flash


j'ai pas flashplugin-nonfree d'installer.
si quelqu'un peut me confirmer la version qui est utilisé pour Debian stable, une fois la commande "update-flashplugin-nonfree --install" lancé
on peut vérifier ici: https://www.adobe.com/fr/software/flash/about/

le lien vers la doc Debian: https://wiki.debian.org/fr/FlashPlayer

Hors ligne

#11 14-09-2016 17:34:28

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

C'est la version 11,2,202,635 pour Firefox - NPAPI (Extended Support Release) comme indiqué dans le tableau.
En fait en cliquant sur le lien de ton message précédent, j'ai vu que le plugin n'était pas à jour chez moi, il était à la version 632
La commande l'a mis à jour. Je n'ai pas activé ce plugin automatiquement dans Firefox, il doit demander pour être activé. Firefox signale quand il n'est plus à jour mais je ne sais pas si c'est très réactif comme information.

Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#12 14-09-2016 17:35:13

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

réponse à moi même:
à priori la version qui est récupéré par le paquet flashplugin-nonfree est l'ancienne version
j'ai forcé la mise à jour mais ça ne change rien et il est possible d'avoir la version 23 quand elle ne sera pas en version beta.

Sur https://www.adobe.com/fr/software/flash/about/
j'ai le message:  You have version 11,2,202,635 installed

Hors ligne

#13 14-09-2016 17:36:28

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

reste la question des mises à jour de sécurité pour cette version 23 en beta wink

Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#14 14-09-2016 17:53:38

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

chalu a écrit :

reste la question des mises à jour de sécurité pour cette version 23 en beta wink


à la main tongue
ça ne fait pas beaucoup de différence avec le paquet.

Hors ligne

#15 14-09-2016 18:05:45

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

nIQnutn a écrit :


Une solution rapide:
* tu télécharges la version de flash qui correspond à ton système http://labs.adobe.com/downloads/flashplayer.html
* tu vas dans Menu > Aide (?) > Information de Dépannage >  Répertoire de profil > Ouvrir le dossier correspondant
* tu crée un dossier "plugins" s'il n'existe pas
* tu copies le fichier "libflashplayer.so" dans le dossier 'plugins'
* tu actives Flash (deouis l'URL: "about:addons")
* tu vérifies le fonctionnement sur https://www.adobe.com/fr/software/flash/about/



Chrgzz est sur Handylinux 2.5, je viens de chercher chez moi et je ne trouve pas :
Menu > Aide (?) > Information de Dépannage >  Répertoire de profil > Ouvrir le dossier correspondant
J'ai le menu whisker et j'ai regardé dans le menu des applications de xfce mais rien avec Aide (?) > Information de Dépannage >
Est-ce que le chemin vers le Répertoire de profil est le même ? et lequel ?


Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#16 14-09-2016 18:33:19

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

mad c'est dans Firefox le menu

le répertoire est différent pour chaque utilisateur.

J'ai détaillé ici: https://blog.niqnutn.com/index.php?arti … er-23-beta
si besoin de compléter, faites signe.

Hors ligne

#17 14-09-2016 18:48:51

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

Aaaaah oui ! d'accord le menu de Firefox ashamed0007.gif
sorry Smiley20.gif

Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#18 15-09-2016 01:26:20

WangXiangzhai
Membre
Distrib. : Debian Jessie
Noyau : 3.16.0-4-686-pae
(G)UI : Xfce
Inscription : 29-12-2015

Re : Adobe Flash Player 23 (64 bit)

j'attire votre attention sur une discussion avec le noble Coyotus.

ici > https://linuxtrack.net/viewtopic.php?id=2125

ce serait plus  /usr/lib/flashplugin-nonfree/

@+

PC: HP-pavilion a6227.fr | wifi: Awus036H et HWGUSB2-54 | CG: NVIDIA geforce 8400 GS | OS: Debian-8.2.0-i386 Xfce | EN TESTE Kali-linux-1.1.0b-i386-openbox.iso (KaliBang), bento-trusty-rc2-i386.iso, Viperr8_i686.iso et livarp_0.4.1-fr.iso

Hors ligne

#19 15-09-2016 02:14:00

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

à priori, ça marche pas chez moi (j'ai pas installé le plugin flashplugin-nonfree).
sinon, remplacé le plugin en douce, c'est moche lol mais ça doit marcher.

en plus, j'avais pas l'envie de taper mon mot de passe root et ça marche dans tous les cas.

Hors ligne

#20 15-09-2016 19:13:14

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

nIQnutn a écrit :


J'ai détaillé ici: https://blog.niqnutn.com/index.php?arti … er-23-beta
si besoin de compléter, faites signe.



Bonjour smile
J'ai suivi ton tuto mais il ne fonctionne pas quand on a déjà installé le plugin flash version 11 avec le paquet des dépots
capturedcran-15092016-190453.php
Si on choisit de désactiver la version 11 et d'activer toujours la version 23, ce n'est pas pris en compte et en actualisant la page des réglages des plugins, j'ai bien l'impression que c'est la version 11 "qui a le dessus" pour les réglages.
La méthode de coyotus comme elle écrase le fichier existant doit fonctionner.
Est-ce que si on désinstalle le paquet des dépôts, ça supprime aussi le fichier libflashplayer.so ? Si oui ça pourrait être la solution pour que ton truc marche.


Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#21 15-09-2016 19:40:42

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

si tu es sûr de toi, avec la version des dépôts **désactiver** ça ne fonctionne pas roll
dans la capture d'écran, tu as sélectionné "Demander pour activer", faut passer à "Ne jamais activer" si ça n'a pas été fait.

confirme que ça ne fonctionne pas dans cette situation.

dans l'hypothèse que ça ne fonctionne pas, il reste la solution de coyotus ou de supprimer le paquet.

Hors ligne

#22 15-09-2016 21:05:15

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

Comme je te l'ai dit si tu mets ne jamais désactiver  pour la version 11 et activer ou demander pour la 23 et bien c'est la configuration du 11 qui l'emporte.
Et quand tu retournes voir les reglages les deux sont sur désactiver
Alors oui je suis certaine que c'est comme ça sur mon PC smile

Dernière modification par chalu (15-09-2016 21:43:25)


Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#23 15-09-2016 21:35:16

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : Adobe Flash Player 23 (64 bit)

chalu a écrit :

Comme je te l'ai dit si tu mets ne jamais activer pour la version 11 et activer ou demander pour la 23 et bien c'est la configuration du 11 qui l'emporte.
Et quand tu retournes voir les reglages les deux sont sur désactiver
Alors oui je suis certaine que c'est comme ça sur mon PC smile



ta formulation est un peu ambiguë mais ça correspond à ce que j'ai pu constaté.
j'ai testé de mon coté et si on modifie l'état d'un plugin, les deux versions sont modifiées.
visiblement, Firefox ne fait pas de différence entre les deux.
aucune idée de comment modifier la priorité sur l'un des plugins et on est donc coincé dans ce cas.

la solution serait de supprimer simplement le paquet pour n'avoir qu'une version ou d'écraser le plugin comme indiqué sur linuxtrack.

Hors ligne

#24 15-09-2016 21:37:22

Trefix
Adhérent(e)
Lieu : 48
Distrib. : Jessie H2D / DFLlight-alpha
Noyau : Linux 3.16.0-4 / 686-pae / amd64
(G)UI : Xfce / Fluxbox
Inscription : 15-02-2015

Re : Adobe Flash Player 23 (64 bit)

Coucou.
Il faut se méfier d'éventuels fichiers de config' cachés dans un recoin, aussi...

Ma scolarité informatique ? 3 TP de programmation en DOS, calcu. T.I., 1984 tongue
De HL à DF : facile ! // Les cahiers du débutant

Hors ligne

#25 15-09-2016 21:42:41

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : Adobe Flash Player 23 (64 bit)

Désolée si ma formulation t'a semblé ambiguë mais n'ayant pas une grande expérience et un seul ordi sous Linux, ça m'a semblé évident wink je suis certaine que ça se passe comme ça sur mon PC mais pas capable de dire si ce sera le cas sur un autre.
Edit : ah oui je viens de voir que désactiver est devenu activer .... Fichue  correction automatique !

Dernière modification par chalu (15-09-2016 21:44:36)


Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

Pied de page des forums